GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Functions
client_config.h File Reference
`#include "src/core/client_config/lb_policy.h"`

Go to the source code of this file.

## Typedefs
typedef struct grpc_client_config | grpc_client_config
| Total configuration for a client. More...

## Functions
grpc_client_config * | grpc_client_config_create ()
void | grpc_client_config_ref (grpc_client_config *client_config)
void | grpc_client_config_unref (grpc_client_config *client_config)
void | grpc_client_config_set_lb_policy (grpc_client_config *client_config, grpc_lb_policy *lb_policy)
grpc_lb_policy * | grpc_client_config_get_lb_policy (grpc_client_config *client_config)

## Typedef Documentation

typedef struct grpc_client_config grpc_client_config

Total configuration for a client.

Provided, and updated, by grpc_resolver

## Function Documentation

grpc_client_config* grpc_client_config_create | ( |  | ) |

grpc_lb_policy* grpc_client_config_get_lb_policy | ( | grpc_client_config * | client_config | ) |

void grpc_client_config_ref | ( | grpc_client_config * | client_config | ) |

void grpc_client_config_set_lb_policy | ( | grpc_client_config * | client_config,
|  | grpc_lb_policy * | lb_policy
| ) |  |

void grpc_client_config_unref | ( | grpc_client_config * | client_config | ) |